Subject: weed germination and propagation for experimental purposes - HELP
From: randy <[email-masked]>
Date: Wed, 8 Jun 94 21:03:31 -0500
Newsgroups: bionet.plants

Can anyone provide bibliographic information for resources on subject matter?
Thanx.